Package com.macrofocus.high_d.scatterplotmatrix

# Class DefaultScatterPlotMatrixModel<Color,Row,C>

java.lang.Object
com.macrofocus.high_d.scatterplotmatrix.AbstractScatterPlotMatrixModel<Color,Row,C>
com.macrofocus.high_d.scatterplotmatrix.DefaultScatterPlotMatrixModel<Color,Row,C>

All Implemented Interfaces:
  `ScatterPlotMatrixModel<Color,Row,C>`

public class DefaultScatterPlotMatrixModel<Color,Row,C> extends AbstractScatterPlotMatrixModel<Color,Row,C>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultScatterPlotMatrixModel(com.macrofocus.molap.dataframe.DataFrame<Row,C,?> dataFrame, com.macrofocus.colormapping.MutableColorMapping<Color,Row,C> colorMapping, com.macrofocus.crossplatform.CPFactory<?,?,?,Color> factory)`
  `DefaultScatterPlotMatrixModel(com.macrofocus.molap.dataframe.DataFrame<Row,C,?> dataFrame, com.macrofocus.crossplatform.CPFactory<?,?,?,Color> factory)`
  `DefaultScatterPlotMatrixModel(com.macrofocus.molap.dataframe.DataFrame<Row,C,?> dataFrame, com.macrofocus.visual.Visual<Color,Row,C> visual, com.macrofocus.crossplatform.CPFactory<?,?,?,Color> factory)`
  `DefaultScatterPlotMatrixModel(com.macrofocus.molap.dataframe.DataFrame<Row,C,?> dataFrame, com.macrofocus.visual.Visual<Color,Row,C> visual, com.macrofocus.high_d.axis.group.AxisGroupModel<Row,C> axisGroupModel)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAxisCount()`
  Returns the number of axis composing the parallel coordinates plot.
  `com.macrofocus.high_d.axis.group.AxisGroupModel`
  `getAxisGroupModel()`
  Gets all the axis composing this parallel coordinates plot.
  `com.macrofocus.high_d.axis.AxisModel`
  `getAxisModel(int c)`
  `com.macrofocus.coloring.MutableColoring<Color,Row>`
  `getColoring()`
  Gets model holding the colors of each object.
  `com.macrofocus.colormapping.MutableColorMapping<Color,Row,C>`
  `getColorMapping()`
  Gets model holding the color mapping of each object.
  `MutableFilter<Row>`
  `getFilter()`
  Obtains the model used for filtering objects in the scatter plot.
  `Double`
  `getLocation(com.macrofocus.high_d.axis.AxisModel axisModel)`
  Gets the normalized location of an axis.
  `Row`
  `getObject(int index)`
  `int`
  `getObjectCount()`
  Returns the number of data objects (typically rows).
  `MutableSingleSelection<Row>`
  `getProbing()`
  Obtains the model used for probing objects in the scatter plot (aka mouse over).
  `MutableSelection<Row>`
  `getSelection()`
  Obtains the model used for selecting objects in the scatter plot.
  `int`
  `getVisibleAxisCount()`
  `com.macrofocus.visual.Visual<Color,Row,C>`
  `getVisual()`
  `void`
  `setLocation(com.macrofocus.high_d.axis.AxisModel axisModel, double l)`
  Sets the location of an axis within its group.

  ### Methods inherited from class com.macrofocus.high_d.scatterplotmatrix.AbstractScatterPlotMatrixModel

  `addScatterPlotMatrixListener, firedScatterPlotMatrixChanged, removeScatterPlotMatrixListener`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultScatterPlotMatrixModel

    public DefaultScatterPlotMatrixModel(com.macrofocus.molap.dataframe.DataFrame<Row,C,?> dataFrame, com.macrofocus.crossplatform.CPFactory<?,?,?,Color> factory)

  - ### DefaultScatterPlotMatrixModel

    public DefaultScatterPlotMatrixModel(com.macrofocus.molap.dataframe.DataFrame<Row,C,?> dataFrame, com.macrofocus.colormapping.MutableColorMapping<Color,Row,C> colorMapping, com.macrofocus.crossplatform.CPFactory<?,?,?,Color> factory)

  - ### DefaultScatterPlotMatrixModel

    public DefaultScatterPlotMatrixModel(com.macrofocus.molap.dataframe.DataFrame<Row,C,?> dataFrame, com.macrofocus.visual.Visual<Color,Row,C> visual, com.macrofocus.crossplatform.CPFactory<?,?,?,Color> factory)

  - ### DefaultScatterPlotMatrixModel

    public DefaultScatterPlotMatrixModel(com.macrofocus.molap.dataframe.DataFrame<Row,C,?> dataFrame, com.macrofocus.visual.Visual<Color,Row,C> visual, com.macrofocus.high_d.axis.group.AxisGroupModel<Row,C> axisGroupModel)

- ## Method Details

  - ### getVisual

    public com.macrofocus.visual.Visual<Color,Row,C> getVisual()

  - ### getObjectCount

    public int getObjectCount()
    Returns the number of data objects (typically rows).
    Returns:
      the number of data objects

  - ### getProbing

    public MutableSingleSelection<Row> getProbing()
    Obtains the model used for probing objects in the scatter plot (aka mouse over).
    Returns:
      the model used for probing.

  - ### getSelection

    public MutableSelection<Row> getSelection()
    Obtains the model used for selecting objects in the scatter plot.
    Returns:
      the model used for selection.

  - ### getFilter

    public MutableFilter<Row> getFilter()
    Obtains the model used for filtering objects in the scatter plot.
    Returns:
      the model used for filtering.

  - ### getColorMapping

    public com.macrofocus.colormapping.MutableColorMapping<Color,Row,C> getColorMapping()
    Gets model holding the color mapping of each object.
    Returns:
      the model holding the color of each object.

  - ### getColoring

    public com.macrofocus.coloring.MutableColoring<Color,Row> getColoring()
    Gets model holding the colors of each object.
    Returns:
      the model holding the color of each object.

  - ### getObject

    public Row getObject(int index)
    Parameters:
      `index` -
    Returns:

  - ### getAxisModel

    public com.macrofocus.high_d.axis.AxisModel getAxisModel(int c)

  - ### getAxisCount

    public int getAxisCount()
    Returns the number of axis composing the parallel coordinates plot.
    Returns:
      the number of axis

  - ### getLocation

    public Double getLocation(com.macrofocus.high_d.axis.AxisModel axisModel)
    Gets the normalized location of an axis.
    Parameters:
      `axisModel` - the axis
    Returns:
      its normalized location within the group

  - ### getAxisGroupModel

    public com.macrofocus.high_d.axis.group.AxisGroupModel getAxisGroupModel()
    Gets all the axis composing this parallel coordinates plot.
    Returns:

  - ### setLocation

    public void setLocation(com.macrofocus.high_d.axis.AxisModel axisModel, double l)
    Sets the location of an axis within its group.
    Parameters:
      `axisModel` - the axis
      `l` - its normalized location

  - ### getVisibleAxisCount

    public int getVisibleAxisCount()